unit DwmApi;

interface

uses windows;

type
    PHandle = ^THandle;

    DWM_THUMBNAIL_PROPERTIES = Record
        dwFlags: DWord;
        rcDestination: TRect;
        rcSource: TRect;
        opacity: Byte;
        fVisible: BOOL;
        fSourceClientAreaOnly: BOOL;
    end;
    PDWM_THUMBNAIL_PROPERTIES = ^DWM_THUMBNAIL_PROPERTIES;

function DwmRegisterThumbnail(hwndDestination: HWND; hwndSource: HWND; phThumbnailId: PHandle): HResult; stdcall; external 'dwmapi.dll';
function DwmUnregisterThumbnail(hThumbnailId: THandle): HResult; stdcall; external 'dwmapi.dll';
function DwmQueryThumbnailSourceSize(hThumbnailId: THandle; pSize: PPoint): HResult; stdcall; external 'dwmapi.dll';
function DwmUpdateThumbnailProperties(hThumbnailId: THandle; ptnProperties: PDWM_THUMBNAIL_PROPERTIES): HResult; stdcall; external 'dwmapi.dll';
function DwmSetWindowAttribute(Wnd: HWND; dwAttribute: DWord; pvAttribute: Pointer; cbSize: DWord): HResult; stdcall; external 'dwmapi.dll';

implementation

end.
